<template>
  <div class="wrapper-global">
    <section class="page-container">
      <Menu></Menu>
      <div class="module-container">
        <slot />
      </div>
    </section>
  </div>
</template>

<script>
import Menu from '../layouts/Menu.vue'

export default {
  name: 'LayoutSesion',
  components: {
    Menu
  }
}
</script>

<style>
html,
body {
  height: 100%;
  min-width: 320px;
  background-color: #eef3f6;
}
.wrapper-global {
  display: flex;
  flex-direction: column;
  overflow: hidden;
}
.wrapper-global .page-container {
  display: flex;
}
.wrapper-global .page-container .module-container {
  padding: 15px;
  flex: 1;
  height: calc(100vh - 60px);
  overflow-y: auto;
  overflow-x: hidden;
  background-color: #eef3f6;
  position: relative;
}

.wrapper-global .page-container .module-container {
  padding: 15px 15px 15px 265px !important;
}

@media (max-width: 1024px) {
  .wrapper-global .page-container .module-container {
    padding: 15px 15px 40px 15px;
  }
}
</style>
